| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SeisResampler Class Reference
Seis

will sub-sample in inl and crl, and re-sample in Z More...

`#include <seisresampler.h>`

## Public Member Functions
| SeisResampler (const SeisResampler &)
| SeisResampler (const TrcKeyZSampling &, bool is2d=false, const Interval< float > *valrange=0)
| valrange will be copied. null == no checks
virtual | ~SeisResampler ()
const SeisTrc * | get (const SeisTrc &t)
SeisTrc * | get (SeisTrc &t)
int | nrPassed () const
SeisResampler & | operator= (const SeisResampler &)
void | set2D (bool yn)

## Protected Member Functions
SeisTrc * | doWork (const SeisTrc &)

## Protected Attributes
TrcKeyZSampling & | cs
bool | dozsubsel
bool | is3d
int | nrtrcs
float | replval
Interval< float > * | valrg
SeisTrc & | worktrc

## Detailed Description

will sub-sample in inl and crl, and re-sample in Z

If there is inl and crl sub-sampling, get() will return null sometimes. If Z needs no resampling and no value range is specified, the input trace will be returned.

<>

## Constructor & Destructor Documentation

## ◆ SeisResampler() [1/2]

SeisResampler::SeisResampler | ( | const TrcKeyZSampling & | ,
|  | bool | is2d = false,
|  | const Interval< float > * | valrange = 0 )

valrange will be copied. null == no checks

## ◆ SeisResampler() [2/2]

SeisResampler::SeisResampler | ( | const SeisResampler & |  | ) |

## ◆ ~SeisResampler()

virtual SeisResampler::~SeisResampler | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ doWork()

SeisTrc * SeisResampler::doWork | ( | const SeisTrc & |  | ) |
| protected

## ◆ get() [1/2]

const SeisTrc * SeisResampler::get | ( | const SeisTrc & | t | ) |
| inline

## ◆ get() [2/2]

SeisTrc * SeisResampler::get | ( | SeisTrc & | t | ) |
| inline

## ◆ nrPassed()

int SeisResampler::nrPassed | ( |  | ) | const
| inline

## ◆ operator=()

SeisResampler & SeisResampler::operator= | ( | const SeisResampler & |  | ) |

## ◆ set2D()

void SeisResampler::set2D | ( | bool | yn | ) |
| inline

## Member Data Documentation

## ◆ cs

TrcKeyZSampling& SeisResampler::cs
| protected

## ◆ dozsubsel

bool SeisResampler::dozsubsel
| protected

## ◆ is3d

bool SeisResampler::is3d
| protected

## ◆ nrtrcs

int SeisResampler::nrtrcs
| protected

## ◆ replval

float SeisResampler::replval
| protected

## ◆ valrg

Interval<float>* SeisResampler::valrg
| protected

## ◆ worktrc

SeisTrc& SeisResampler::worktrc
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025